Subject: Re: OpenLDAP
From: Robert Collins <[email-masked]>
To: Flynn <[email-masked]>
Cc: [email-masked]
Date: 08 Aug 2002 21:01:28 +1000

On Thu, 2002-08-08 at 20:43, Flynn wrote:
> Hi everyone.
> 
> I'm facing two major big problems with a build of OpenLDAP I made recently.
> I use this build as a Windows 2000 service using cygrunsrv.
> 
> 
> 1)
> In order to run it as a service, I need to specify "-d 0" as a slapd 
> parameter. The result is that after some commands, NT/2000 eventlog is 
> full. If I remove the parameter, the program fails to launch as a service.
> 
> Any way of avoiding to use that parameter ?

Patch openLDAP to not fork() and detach. You'll find that if you look at
what it does when -d is passed. I suggest adding something like -N that
prevents the fork() and detach, without altering the debug levels.

Rob